<?php

use TamerLib\Classes\AdaptiveSleep;

require 'ncc';
    import('net.nosial.tamerlib');

    $adaptive_sleep = new AdaptiveSleep(10);

    $time = time();
    while(true)
    {
        if(time() - $time > 3)
        {
            // Simulate traffic every 3 seconds
            $sleep = $adaptive_sleep->sleep(random_int(0, 100) < 90);

            if(time() - $time > 5)
            {
                // Stop the simulation after 5 seconds
                $time = time();
            }
        }
        else
        {
            // No traffic
            $sleep = $adaptive_sleep->sleep(false);
        }
    }